dynamic form cat based
<div>
  <form (ngSubmit)="onSubmit()" [formGroup]="form">
    <div>first form appeared</div>
    <div *ngFor="let clothing of clothings" class="form-row">
      <div [formGroup]="form">
        <label [attr.for]="clothing.key">{{ clothing.label }}</label>

        <div [ngSwitch]="clothing.controlType">
          <input
            *ngSwitchCase="'textbox'"
            [formControlName]="clothing.key"
            [id]="clothing.key"
            [type]="clothing.type"
          />

          <select
            [id]="clothing.key"
            *ngSwitchCase="'dropdown'"
            [formControlName]="clothing.key"
          >
            <option *ngFor="let opt of clothing.options" [value]="opt.key">
              {{ opt.value }}
            </option>
          </select>
        </div>

        <div class="errorMessage" *ngIf="!isValid">
          {{ clothing.label }} is required
        </div>
      </div>
    </div>

    <div class="form-row">
      <button type="submit" [disabled]="!form.valid">Save</button>
    </div>
  </form>

  <div *ngIf="payLoad" class="form-row">
    <strong>Saved the following values</strong><br />{{ payLoad }}
  </div>
</div>
